It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera


I just downloaded the 3.2 patch (Its been a while since my last witcher 2 game :P ) and the file ask me to patch the game to the 3.1 version first.

I can't find a upgrader or autopatcher. Also the official web take me to the 3.2 and the enhanced edition patch, nothing more.

What can I do? Reinstall all the game?

Anyway, ask here frist.


The version you download here is the normal Enhanced Edition (3.0). 3.1, 3.2, and the Chinese-language update aren't included in the download, so redownloading would probably be pointless unless you don't already have the Enhanced Edition patch installed.

I already patched the game when the enhanced came out, so I suppose just have the 3.0.